MIX_ResumeTag(3)

NAME
MIX_ResumeTag - Resume all tracks with a specific tag.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

bool MIX_ResumeTag(MIX_Mixer *mixer, const char *tag);

DESCRIPTION
A paused track is not considered "stopped," so its MIX_TrackStoppedCallback will not fire if paused, but it won't change state by default, generate audio, or generally make progress, until it is resumed.

This function makes all currently-paused tracks on the specified mixer, with a specific tag, move to a playing state.

Tracks that match the specified tag that aren't currently paused are ignored.

FUNCTION PARAMETERS

mixer
    the mixer on which to resume tracks.

tag the tag to use when searching for tracks.

RETURN VALUE
Returns true on success, false on error; call SDL_GetError() for details.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.

SEE ALSO
MIX_ResumeTrack(3), MIX_PauseTrack(3), MIX_PauseTag(3), MIX_TagTrack(3)